Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

welcome.php
Go to the documentation of this file.
1 <?php
3 //
4 // $Id: welcome.php 8869 2002-01-04 09:15:05Z bf $
5 //
6 // Created on: <13-Nov-2000 10:57:15 bf>
7 //
8 // This source file is part of Exponential Basic, publishing software.
9 //
10 // Copyright (C) 1999-2001 eZ Systems. All rights reserved.
11 //
12 // This program is free software; you can redistribute it and/or
13 // modify it under the terms of the GNU General Public License
14 // as published by the Free Software Foundation; either version 2
15 // of the License, or (at your option) any later version.
16 //
17 // This program is distributed in the hope that it will be useful,
18 // but WITHOUT ANY WARRANTY; without even the implied warranty of
19 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
20 // GNU General Public License for more details.
21 //
22 // You should have received a copy of the GNU General Public License
23 // along with this program; if not, write to the Free Software
24 // Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, US
25 //
26
27 // include_once( "classes/INIFile.php" );
28 // include_once( "classes/eztemplate.php" );
29
30 $ini =& eZINI::instance( 'site.ini' );
31 $Language = $ini->variable( "eZUserMain", "Language" );
32
33 // include_once( "ezuser/classes/ezuser.php" );
34 // include_once( "ezuser/classes/ezusergroup.php" );
35 // include_once( "ezuser/classes/ezmodule.php" );
36 // include_once( "ezuser/classes/ezpermission.php" );
37 // include_once( "ezsession/classes/ezsession.php" );
38
39
40 // Template
41 $t = new eZTemplate( "kernel/ezuser/admin/" . $ini->variable( "eZUserMain", "AdminTemplateDir" ),
42 "kernel/ezuser/admin/intl", $Language, "welcome.php" );
43 $t->setAllStrings();
44
45
46
47 $t->set_file( array(
48 "welcome_tpl" => "welcome.tpl"
49 ) );
50
51 $t->set_block( "welcome_tpl", "error_tpl", "error" );
52
53 $t->set_block( "error_tpl", "libxml_error_tpl", "libxml_error" );
54 $t->set_block( "error_tpl", "convert_error_tpl", "convert_error" );
55
56 $t->set_var( "error", "" );
57 $t->set_var( "libxml_error", "" );
58 $t->set_var( "qtdom_error", "" );
59 $t->set_var( "convert_error", "" );
60
61 $user =& eZUser::currentUser();
62
63 if ( $user )
64 {
65 $t->set_var( "first_name", $user->firstName() );
66 $t->set_var( "last_name", $user->lastName() );
67 }
68
69 if ( $ini->variable( "site", "CheckDependence" ) == "enabled" )
70 {
71 $error = false;
72
73 if ( function_exists( "xmltree" ) == false )
74 {
75 // $t->set_var( "libxml_location", "http://xmlsoft.org/#Downloads" );
76 // $t->parse( "libxml_error", "libxml_error_tpl" );
77 // $error = true;
78 }
79 $image_prog = "convert";
80 if ( $ini->hasVariable( "classes", "ImageConversionProgram" ) )
81 $image_prog = $ini->variable( "classes", "ImageConversionProgram" );
82
83 $check = system( "$image_prog > /dev/null", $ret );
84
85 if ( $ret == "127" )
86 {
87 $t->set_var( "convert_location", "http://www.imagemagick.org/www/archives.html" );
88 $t->parse( "convert_error", "convert_error_tpl" );
89 $error = true;
90 }
91
92
93 if ( $error )
94 {
95 $t->parse( "error", "error_tpl" );
96 }
97 }
98
99 $t->pparse( "output", "welcome_tpl" );
100
101 ?>
eZTemplate
Definition: eztemplate.php:107
eZUser\currentUser
static & currentUser()
Definition: ezuser.php:896
$error
$error
Definition: ezarticle/admin/categoryedit.php:51
$ret
$ret
Definition: ezsitemanager/admin/filelist.php:88
$t
$t
Definition: welcome.php:41
$user
$user
Definition: welcome.php:61
$Language
$Language
Definition: welcome.php:31
$ini
$ini
Definition: welcome.php:30
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.